Search workflow executions

Base URL
https://{kibana_url}
  • GET /api/workflows/workflow/executions
  • GET /s/{space_id}/api/workflows/workflow/executions
Auth

Search across all workflow executions.

Required authorization

Privileges workflowsManagement:read and workflowsManagement:readExecution. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:readExecution

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

kql string · max length: 4096

KQL query string to filter executions.

statuses enum[] · max items: 11

Filter by execution status.

Values: pending waiting waiting_for_input waiting_for_child running queued completed failed cancelled timed_out skipped
executionTypes enum[] · max items: 2

Filter by execution type.

Values: test production
executedBy string[] · max items: 100

Filter by the user who triggered the execution.

concurrencyGroupKey string · max length: 1024

Filter by evaluated concurrency group key.

startedAfter string · max length: 64

Datemath lower bound for filtering executions by startedAt.

startedBefore string · max length: 64

Datemath upper bound for filtering executions by startedAt.

finishedAfter string · max length: 64

Datemath lower bound for filtering executions by finishedAt.

finishedBefore string · max length: 64

Datemath upper bound for filtering executions by finishedAt.

collapse enum

Field to collapse execution results by.

Values: concurrencyGroupKey status executedBy triggeredBy
sortField enum

Field to sort by. One of: startedAt, duration, workflowId, triggeredBy.

Values: startedAt duration workflowId triggeredBy
sortOrder enum

Sort direction.

Values: asc desc
page number · min: 1

Page number.

size number · min: 1 · max: 100

Number of results to return.

trackTotalHits boolean

Whether to track total hit count.

Responses

200

Indicates a successful response

application/json
400

Indicates a bad request, such as invalid KQL syntax

application/json
Base URL
https://{kibana_url}